#
# lxc: linux Container library
#
# (C) Copyright IBM Corp. 2007, 2008
#
# Authors:
# Daniel Lezcano <dlezcano at fr.ibm.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

%define ksrc none

Name: lxc
Version: 0.7.5
Release: 2.0.4%{?dist}
URL: http://lxc.sourceforge.net
Source: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Summary: %{name} : Linux Container
Group: Applications/System
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: libcap
BuildRequires: libcap libcap-devel docbook-utils autoconf automake

Patch0000: lxc-ol-templates.patch
Patch0001: 0001-fix-more-broken-paths-in-lxc-.in-scripts.patch
Patch0002: 0002-lxc-clone-fix-dhclient.conf-send-hostname-command.patch
Patch0003: 0003-ubuntu-template-disallow-cap_sys_module-by-popular-d.patch
Patch0004: 0004-Let-sshd-template-work-on-ubuntu-systems.patch
Patch0005: 0005-Accurately-detect-whether-a-system-supports-clone_ch.patch
Patch0006: 0006-ubuntu-template-allow-containers-to-create-tap-devic.patch
Patch0007: 0007-Don-t-list-containers-w-active-console-sessions-mult.patch
Patch0008: 0008-lxc-ubuntu-stop-early-if-a-bad-user-is-specified-in-.patch
Patch0009: 0009-alt-linux-template.patch
Patch0010: 0010-handle-kernel-3.x-in-lxc-checkconfig.patch
Patch0011: 0011-lxc-introduce-lxc_execute.patch
Patch0012: 0012-extend-the-struct-lxc_arguments.patch
Patch0013: 0013-Drop-resolvconf-from-oneiric-container-package-list.patch
Patch0014: 0014-templates-update-openSUSE-template-for-openSUSE-12.1.patch
Patch0015: 0015-lxc-fedora.in-Add-missing-default-release-variable.patch
Patch0016: 0016-lxc-fedora.in-Use-i386-instead-of-i686.patch
Patch0017: 0017-lxc-fedora.in-Fix-fetching-of-the-fedora-release-rpm.patch
Patch0018: 0018-fix-lxc-destroy.patch
Patch0019: 0019-add-lxc-archlinux-template.patch
Patch0020: 0020-lxc-fix-erroneous-includes.patch
Patch0021: 0021-lxc-use-iquote-instead-of-I.patch
Patch0022: 0022-Ubuntu-template-some-tweaks.patch
Patch0023: 0023-Revert-lxc-use-iquote-instead-of-I.patch

%description

The package "%{name}" provides the command lines to create and manage
containers.  It contains a full featured container with the isolation
/ virtualization of the pids, the ipc, the utsname, the mount points,
/proc, /sys, the network and it takes into account the control groups.
It is very light, flexible, and provides a set of tools around the
container like the monitoring with asynchronous events notification,
or the freeze of the container. This package is useful to create
Virtual Private Server, or to run isolated applications like bash or
sshd.

%package        libs
Summary:        runtime library files for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains libraries for running %{name} applications.

%package devel
Summary: development library for %{name}
Group: Development/Libraries

%description devel
The %{name}-devel package contains header files and library needed for
development of the linux containers.

%prep

%setup
%patch0000 -F3 -p1
%patch0001 -F3 -p1
%patch0002 -F3 -p1
%patch0003 -F3 -p1
%patch0004 -F3 -p1
%patch0005 -F3 -p1
%patch0006 -F3 -p1
%patch0007 -F3 -p1
%patch0008 -F3 -p1
%patch0009 -F3 -p1
%patch0010 -F3 -p1
%patch0011 -F3 -p1
%patch0012 -F3 -p1
%patch0013 -F3 -p1
%patch0014 -F3 -p1
%patch0015 -F3 -p1
%patch0016 -F3 -p1
%patch0017 -F3 -p1
%patch0018 -F3 -p1
%patch0019 -F3 -p1
%patch0020 -F3 -p1
%patch0021 -F3 -p1
%patch0022 -F3 -p1
%patch0023 -F3 -p1

%build
test "%{ksrc}" != "none" && args="--with-linuxdir=%{ksrc}"
PATH=$PATH:/usr/sbin:/sbin %configure $args --disable-rpath --with-config-path=/etc/lxc
make %{?_smp_mflags}

%install
%makeinstall

find $RPM_BUILD_ROOT -type f -name '*.la' -exec rm -f {} ';'  

%clean
rm -rf %{buildroot}

%post
[ -d /etc/lxc ] || /bin/mkdir -p /etc/lxc

%files
%defattr(-,root,root)
%{_bindir}/*
%attr(4111,root,root) %{_bindir}/lxc-attach
%attr(4111,root,root) %{_bindir}/lxc-create
%attr(4111,root,root) %{_bindir}/lxc-clone
%attr(4111,root,root) %{_bindir}/lxc-start
%attr(4111,root,root) %{_bindir}/lxc-netstat
%attr(4111,root,root) %{_bindir}/lxc-unshare
%attr(4111,root,root) %{_bindir}/lxc-execute
%attr(4111,root,root) %{_bindir}/lxc-checkpoint
%attr(4111,root,root) %{_bindir}/lxc-restart
%{_mandir}/*
%{_datadir}/doc/*

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}
%attr(4555,root,root) %{_libdir}/%{name}/lxc-init

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_datadir}/pkgconfig/*

%changelog
* Wed Dec 28 2011 Joe Jin <joe.jin@oracle.com> - 0.7.5-2.0.4
- Add autoconf, automake to BuildRequires
- added dist to release.

* Mon Dec 26 2011 Jeff Liu <jeff.liu@oracle.com> - 0.7.5-2.0.3
- fix more broken paths in lxc-*.in scripts (Greg Kurz)
- lxc-clone: fix dhclient.conf send hostname command (Serge E. Hallyn)
- ubuntu template: disallow cap_sys_module (by popular demand) (Serge E. Hallyn)
- Let sshd template work on ubuntu systems. (Serge E. Hallyn)
- Accurately detect whether a system supports clone_children (Serge E. Hallyn)
- ubuntu template: allow containers to create tap devices (Serge E. Hallyn)
- Don't list containers w/ active console sessions multiple times (Rainer Weikusat)
- lxc-ubuntu: stop early if a bad user is specified in -b option (Serge E. Hallyn)
- alt linux template (Alexey Shabalin)
- handle kernel 3.x in lxc-checkconfig (Frederic Crozat)
- lxc: introduce lxc_execute() (Greg Kurz)
- extend the struct lxc_arguments (Cedric Le Goater)
- Drop resolvconf from oneiric container package list (Serge E. Hallyn)
- templates: update openSUSE template for openSUSE 12.1 (Frederic Crozat)
- lxc-fedora.in: Add missing default release variable (Tuomas Suutari)
- lxc-fedora.in: Use i386 instead of i686 (Tuomas Suutari)
- lxc-fedora.in: Fix fetching of the fedora-release rpm (Tuomas Suutari)
- fix lxc-destroy (Daniel Lezcano)
- add lxc-archlinux template (Alexander Vladimirov)
- lxc: fix erroneous includes (Greg Kurz)
- lxc: use -iquote instead of -I (Greg Kurz)
- Ubuntu template: some tweaks (stgraber@ubuntu.com)
- Revert "lxc: use -iquote instead of -I" (Daniel Lezcano)

* Thu Oct 13 2011 Wim Coekaerts <wim.coekaerts@oracle.com> - Version 0.7.5-2.0.2
- increased version number
- default path for config /etc/lxc

* Thu Sep  8 2011 Greg Kurz <gkurz@fr.ibm.com> - Version 0.7.5.1
- fix installed files for rpmbuild
- introduce lxc-libs package

* Fri Jul 23 2010 Daniel Lezcano <dlezcano@fr.ibm.com> - Version 0.7.2
- set attribute for installed files
- fix libraries installation

* Mon Mar 24 2009 Daniel Lezcano <daniel.lezcano@free.fr> - Version 0.6.1
- Removed capability setting, let the user to do that through "lxc-setcap"

* Mon Feb 16 2009 Daniel Lezcano <daniel.lezcano@free.fr> - Version 0.6.0
- Added more capabilities to the executables

* Sun Jan 25 2009 Daniel Lezcano <daniel.lezcano@free.fr> - Version 0.6.0
- Reduced spec file

* Sun Aug 3 2008 Daniel Lezcano <dlezcano@fr.ibm.com> - Version 0.1.0
- Initial RPM release.

# Local variables:
# mode: shell-script
# sh-shell: rpm
# end:
